What is in the Alesis Strike 1.5 firmware?

  • 1
  • Question
  • Updated 2 months ago
  • Acknowledged
I noticed that the Alesis Strike Firmware 1.5 is now available, and the file time stamp shows it's been out for about a week. Yet I can't seem to find *any* documentation or even videos about what was updated...

What's new?

What's fixed?
Photo of Guitars69

Guitars69

  • 13 Posts
  • 0 Reply Likes
  • annoyed

Posted 4 months ago

  • 1
Photo of Peter Englundh

Peter Englundh

  • 4 Posts
  • 0 Reply Likes
I had tried it it's not working correctly When you hit the pad it don't react imidiatley
Photo of j v

j v

  • 152 Posts
  • 13 Reply Likes
I can't even find it anywhere any link
Photo of Chaser

Chaser

  • 349 Posts
  • 63 Reply Likes
STRIKE v1.5 Update is under the download section for both of the STRIKE Kits.
It's not under the STRIKE Pro SE Kit as it came preinstalled and isn't an update.
https://alesis.com/products/view2/str...
Photo of j v

j v

  • 152 Posts
  • 13 Reply Likes
Thanks
Photo of Chaser

Chaser

  • 349 Posts
  • 63 Reply Likes
No problem...since there wasn't much for a changelog here is some info
https://www.alesisdrummer.com/index.p...
Photo of j v

j v

  • 152 Posts
  • 13 Reply Likes
Awesome not many fixes or added features guess they ignored the wish list on the forums thanks again
Photo of Peter Englundh

Peter Englundh

  • 4 Posts
  • 0 Reply Likes
It works fine it was me there where a little bit to hurry sorry
Photo of Glenn Herbert

Glenn Herbert

  • 3 Posts
  • 0 Reply Likes
Seems to me the only upgrades are 5 new (useless) kits. Why can't they address serious issues, like the 200MB kit limit or the pathetic hi-hat?
Photo of Ben Borraccini

Ben Borraccini

  • 2 Posts
  • 0 Reply Likes
Cause you can't address hardware limitations with a software...
Photo of cleverest

cleverest

  • 19 Posts
  • 3 Reply Likes
They can fix some of it through software.
Photo of Rick Morelli

Rick Morelli

  • 2 Posts
  • 0 Reply Likes
Chaser indicates that Strike v1.5 update does not apply to the Strike Pro SE kit.
I just purchased the Pro SE. But I notice that the v1.5 download actually DOES appear on the Pro SE download page. Do I need to download this or not on my new Pro SE? Thanks.
Photo of Chaser

Chaser

  • 349 Posts
  • 63 Reply Likes
The SE should already have v1.5 pre-installed as the kit/sample count etc
matches what was in the press release.
At the time it was released (and my post) the Alesis site didn't have any downloads available on the SE product page or listed under the Kit comparison chart.
The Alesis site still doesn't have the STRIKE Editor under the SE downloads yet.
Currently you have to download it from the original STRIKE Kits.
Eventually Alesis will get around to it and all the downloads will probably be added to the SE.Hopefully with an updated Kit/Instrument list.
You would think this would have been released with a new update that added new Kits and Instruments.
You can always check the Trigger and DSP OS version in the module under Utility.
Photo of Rick Morelli

Rick Morelli

  • 2 Posts
  • 0 Reply Likes
Thanks, Chaser.
Photo of Omar Rowe

Omar Rowe

  • 13 Posts
  • 1 Reply Like
I tried installing the software for SE however the software is not compatible with MAC OS Catilina
Photo of cleverest

cleverest

  • 19 Posts
  • 3 Reply Likes
They added a few kits that don't seem very interesting. I wish they would fix stuff being requested. Maybe that will be in v1.6
Photo of Chaser

Chaser

  • 349 Posts
  • 63 Reply Likes
The STRIKE Module User Guide and Kit List have finally been updated to v1.5

USER GUIDE
https://7132afa424c2f1a2ab6d-54d68a14...

KIT/INSTRUMENT LIST
https://7132afa424c2f1a2ab6d-54d68a14...